//https://sku3d-test.obs.cn-east-3.myhuaweicloud.com/queenshow/1685591011649_FHii9K_thumbnail.png

import { createAttrsForm } from "../../../defines/createAttrsForm";
import { createCompHooks } from "../../../defines/createCompHooks";
import { createCompId } from "../../../defines/createCompId";

export { Component } from "./component";

export const options = {
  name: "标题3",
  thumbnail:
    "https://sku3d-test.obs.cn-east-3.myhuaweicloud.com/queenshow/1685591011649_FHii9K_thumbnail.png",
};

export const { createComp, useCompData } = createCompHooks({
  value: {},
  layout: {
    size: [750, 136],
  },
  children: {
    title: () =>
      createCompId("Text", {
        value: `<p style="text-align:center;line-height:1.5;"><span style="color:#333;font-size:20px;font-weight: bold;">产品详情</span></p>`,
        layout: {
          size: [750, 60],
        },
      }),
    subtitle: () =>
      createCompId("Text", {
        value: `<p style="text-align:center;line-height:1.5;">/ Product Details /</p>`,
        layout: {
          size: [750, 36],
        },
      }),
  },
});

export const Form = createAttrsForm([]);
