import { TransformCtrl } from ".";
import { CONST, downOptions, moveOptions } from "./state";

export default function OnMouseMove(ctrl:TransformCtrl,  e:MouseEvent) {
    switch (downOptions._state) {
      case CONST.MODE_MOVING:
        ctrl.moving(e);
        break;
      case CONST.MODE_ROTATE:
        ctrl.rotate(e);
        break;
      case CONST.MODE_SCALE_WIDTH:
      case CONST.MODE_SCALE_SCALE:
        ctrl.scale(e);
        break
    }
    moveOptions._movePreClientY = e.clientY;
    moveOptions._movePreClientX = e.clientX;
}