import { ToolbarItem, toolbars } from "./default";
import { LayoutToolbars } from "./layout";

export const LiveToolbars: ToolbarItem[] = [
    toolbars.imageCropper,
    toolbars.layerUp,
    toolbars.layerDown,
    toolbars.createGroup,
    toolbars.cancelGroup,
    toolbars.delete
]

export const CompAlignTools= {
    Left: [
        LayoutToolbars.xLeft,
        LayoutToolbars.xCenter,
        LayoutToolbars.xRight
    ] as ToolbarItem[],
    right: [
        LayoutToolbars.YTop,
        LayoutToolbars.YCenter,
        LayoutToolbars.YBottom
    ] as ToolbarItem[]
}