import { PaymentModule } from ".";

interface PayPoint {
  _id: string;
  project: string;
  productKey: string;
  productName: string;
  price: number;
  payMethods: { Key: string; Value: number }[];
}

export const store = PaymentModule.store({
  state: () => ({
    payPoints: [] as PayPoint[],
  }),
  actions: {
    setPayPoints(points: PayPoint[]) {
      this.store.payPoints = points;
    },
  },
});
