import { useResource } from "@/modules/resource";
import { defineComponent } from "vue";

import CollectionUI from "./components";
import { createCollectionController } from "./controller";
export default defineComponent({
  setup() {
    const resource = useResource();
    const ctrl = createCollectionController(resource);
    return () => (
      <CollectionUI
        Controller={ctrl}
        slots={
          {
            // MaterialItem: ()=>{
            //   return <div>item</div>
            // }
          }
        }
      ></CollectionUI>
    );
  },
});
