
export function initRemSize() {
  function setRem() {
    const clientWidth = document.documentElement.clientWidth;
    const width = clientWidth < 1280 ? 1280 : clientWidth;
    const fontSize = width / 19.2;
    document.documentElement.style.fontSize = fontSize + "px";
  }

  window.addEventListener("resize", setRem);
  setRem();
}
