import { createAttrsForm } from "../../defines/createAttrsForm";
import { createCompHooks } from "../../defines/createCompHooks";
import MapAttr from "../../formItems/MapAttr";

export { Component } from "./component";

export const options = {
  name: "地图",
  thumbnail: require("@/modules/editor/assets/icons/address.svg"),
};

export const { createComp, useCompData } = createCompHooks({
  value: {
    addressInfo: {
      lnglat: [116.397428, 39.90923],
      address: "天安门",
    },
  },
  layout: {
    size: [710, 710],
  },
});

export const Form = createAttrsForm([
  {
    dataIndex: "value.addressInfo",
    component: MapAttr,
  },
]);
