import { Design_Page_Size } from "@/modules/editor/dicts/CompOptions";
import { createCompHooks } from "../../defines/createCompHooks";
import { PageForm } from "./PageForm";

export { Component } from "./component";

export const options = {
  name: "页面",
  thumbnail: require("@/modules/editor/assets/icons/container.svg"),
};

export const { createComp, useCompData } = createCompHooks({
  value: {},
  children: {
    default: () => [] as string[],
  },
  layout: {
    size: [...(Design_Page_Size as [number, number])],
    background: {
      color: "#ffffff",
    },
  },
});

export const Form = PageForm;
