import { Button } from "ant-design-vue";

import { useEditor } from "@/modules/editor";
import { IconAddLine } from "@queenjs/icons";
import { defineUI } from "queenjs";

export default defineUI({
  setup() {
    const editor = useEditor();

    return () => {
      return (
        <div class="pt-20px">
          <Button
            block
            type="primary"
            onClick={() => editor.actions.clickCompToDesign("Web3D")}
          >
            <IconAddLine class="mr-5px text-14px" />
            添加3D模型
          </Button>
        </div>
      );
    };
  },
});
