import { Design_Page_Size } from "@/modules/editor/dicts/CompOptions";

export const CompSizeOpts = {
  w: {
    label: "宽度",
    vUnit: "vw",
    getVSize(w: number) {
      return (w / Design_Page_Size[0]) * 100;
    },
    getPxSize(w: number) {
      return (w * Design_Page_Size[0]) / 100;
    },
  },
  h: {
    label: "高度",
    vUnit: "vh",
    getVSize(h: number) {
      return (h / Design_Page_Size[1]) * 100;
    },
    getPxSize(h: number) {
      return (h * Design_Page_Size[1]) / 100;
    },
  },
};
