import LoginForm from "@queenjs-modules/auth/components/components/LoginForm";
import { defineComponent } from "vue";

export default defineComponent(() => {
  return () => (
    <div class="h-100vh flex flex-col">
      <div class="flex-1 flex flex-col items-center justify-center">
        <div class="pointer-events-none">
          <img class="h-40px" src={require("@/assets/imgs/Logo.png")} alt="" />
        </div>
        <LoginForm />
      </div>
      <div class="py-10px text-center text-gray">
        <a
          href="https://beian.miit.gov.cn"
          target="_blank"
          class="mr-5px text-light-50 opacity-80 hover:(text-light-50 opacity-80 underline)"
        >
          蜀ICP备18008991号-3
        </a>
        版权所有：3Dqueen
      </div>
    </div>
  );
});
