import { ResourceModule } from "@/modules/resource";
import CollectionModal from "./CollectionModal";
import { css } from "@linaria/core";

export function sendPromotion(resource: ResourceModule, record: any) {
  resource.showModal(<CollectionModal record={record}></CollectionModal>, {
    title: "发送作品",
    width: "860px",
    destroyOnClose: true,
    wrapClassName: CollectionStyle,
  });
}
const CollectionStyle = css`
  .ant-modal-content {
    background-color: transparent;
    border-radius: 4px;
  }
  .ant-modal-header {
    padding: 16px 24px;
    background-color: #2a2d41;
    border-radius: 4px 4px 0 0;
  }
  .ant-modal-body {
    background-color: #f1f2f4;
    border-radius: 0 0 4px 4px;
  }
`;
